Creates a new playbook from provided data
curl --request POST \
--url https://api.rootly.com/v1/playbooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "playbooks",
"attributes": {
"title": "<string>",
"summary": "<string>",
"external_url": "<string>",
"severity_ids": [
"<string>"
],
"environment_ids": [
"<string>"
],
"service_ids": [
"<string>"
],
"functionality_ids": [
"<string>"
],
"group_ids": [
"<string>"
],
"incident_type_ids": [
"<string>"
]
}
}
}
'{
"data": {
"id": "c5e81c2c-5c8d-444b-b030-8634a895e569",
"type": "playbooks",
"attributes": {
"title": "How to handle customer-facing incident?",
"summary": "This is a summary",
"external_url": null,
"severity_ids": [],
"environment_ids": [
"fda7c8c4-e2b3-40dd-8594-a6e71855c777",
"18a5b385-5634-4221-8bb3-f1d9f721eb7b"
],
"service_ids": [
"bd75c9c6-ef72-4311-a8dc-02a0fe98db72",
"d510bee4-b160-467b-8278-f8dda4bb68b7"
],
"functionality_ids": [
"94373721-1622-4eb1-8933-643d9be265d9",
"4b6e15f2-7f5b-4a59-924e-55b1e3fb248b"
],
"group_ids": [],
"incident_type_ids": [],
"cause_ids": [],
"created_at": "2026-01-21T11:21:53.375-08:00",
"updated_at": "2026-01-21T11:21:53.375-08:00"
},
"relationships": {
"severities": {
"data": []
},
"environments": {
"data": [
{
"id": "fda7c8c4-e2b3-40dd-8594-a6e71855c777",
"type": "environments"
},
{
"id": "18a5b385-5634-4221-8bb3-f1d9f721eb7b",
"type": "environments"
}
]
},
"services": {
"data": [
{
"id": "bd75c9c6-ef72-4311-a8dc-02a0fe98db72",
"type": "services"
},
{
"id": "d510bee4-b160-467b-8278-f8dda4bb68b7",
"type": "services"
}
]
},
"functionalities": {
"data": [
{
"id": "94373721-1622-4eb1-8933-643d9be265d9",
"type": "functionalities"
},
{
"id": "4b6e15f2-7f5b-4a59-924e-55b1e3fb248b",
"type": "functionalities"
}
]
},
"groups": {
"data": []
},
"causes": {
"data": []
},
"incident_types": {
"data": []
}
}
}
}Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/playbooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "playbooks",
"attributes": {
"title": "<string>",
"summary": "<string>",
"external_url": "<string>",
"severity_ids": [
"<string>"
],
"environment_ids": [
"<string>"
],
"service_ids": [
"<string>"
],
"functionality_ids": [
"<string>"
],
"group_ids": [
"<string>"
],
"incident_type_ids": [
"<string>"
]
}
}
}
'{
"data": {
"id": "c5e81c2c-5c8d-444b-b030-8634a895e569",
"type": "playbooks",
"attributes": {
"title": "How to handle customer-facing incident?",
"summary": "This is a summary",
"external_url": null,
"severity_ids": [],
"environment_ids": [
"fda7c8c4-e2b3-40dd-8594-a6e71855c777",
"18a5b385-5634-4221-8bb3-f1d9f721eb7b"
],
"service_ids": [
"bd75c9c6-ef72-4311-a8dc-02a0fe98db72",
"d510bee4-b160-467b-8278-f8dda4bb68b7"
],
"functionality_ids": [
"94373721-1622-4eb1-8933-643d9be265d9",
"4b6e15f2-7f5b-4a59-924e-55b1e3fb248b"
],
"group_ids": [],
"incident_type_ids": [],
"cause_ids": [],
"created_at": "2026-01-21T11:21:53.375-08:00",
"updated_at": "2026-01-21T11:21:53.375-08:00"
},
"relationships": {
"severities": {
"data": []
},
"environments": {
"data": [
{
"id": "fda7c8c4-e2b3-40dd-8594-a6e71855c777",
"type": "environments"
},
{
"id": "18a5b385-5634-4221-8bb3-f1d9f721eb7b",
"type": "environments"
}
]
},
"services": {
"data": [
{
"id": "bd75c9c6-ef72-4311-a8dc-02a0fe98db72",
"type": "services"
},
{
"id": "d510bee4-b160-467b-8278-f8dda4bb68b7",
"type": "services"
}
]
},
"functionalities": {
"data": [
{
"id": "94373721-1622-4eb1-8933-643d9be265d9",
"type": "functionalities"
},
{
"id": "4b6e15f2-7f5b-4a59-924e-55b1e3fb248b",
"type": "functionalities"
}
]
},
"groups": {
"data": []
},
"causes": {
"data": []
},
"incident_types": {
"data": []
}
}
}
}